package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.StrukHasilPemeriksaan;
import com.jasamedika.medifirst2000.entities.StrukOrder;
import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class HasilPemeriksaanVOVO
 * 
 * @author Generator
 */
public class StrukHasilPemeriksaanVO extends MedicalRecordTransactionVO {
	@Column(name = "keteranganLainnya", nullable = true, length = 100)
	@Caption(value = "Keterangan Lainnya")
	private String keteranganLainnya;
	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	@Column(name = "NamaPengambilHasil", nullable = true, length = 100)
	@Caption(value = "Nama Pengambil Hasil")
	private String namaPengambilHasil;
	
	@Column(name = "NoTelponPengambilHasil", nullable = true, length = 100)
	@Caption(value = "No Telepon Pengambil Hasil")
	private String noTeleponPengambilHasil;
	
	@Column(name = "NoHasilPeriksa", nullable = false,unique=true, length = 100)
	@Caption(value = "No Hasil Periksa")
	private String noHasilPeriksa;
	
	public String getNamaPengambilHasil() {
		return namaPengambilHasil;
	}

	public void setNamaPengambilHasil(String namaPengambilHasil) {
		this.namaPengambilHasil = namaPengambilHasil;
	}

	public String getNoTeleponPengambilHasil() {
		return noTeleponPengambilHasil;
	}

	public void setNoTeleponPengambilHasil(String noTeleponPengambilHasil) {
		this.noTeleponPengambilHasil = noTeleponPengambilHasil;
	}

	public Date getTanggalPengambilHasil() {
		return tanggalPengambilHasil;
	}

	public void setTanggalPengambilHasil(Date tanggalPengambilHasil) {
		this.tanggalPengambilHasil = tanggalPengambilHasil;
	}

	public String getNoHasilPeriksa() {
		return noHasilPeriksa;
	}

	public void setNoHasilPeriksa(String noHasilPeriksa) {
		this.noHasilPeriksa = noHasilPeriksa;
	}

	@Column(name = "TanggalPengambilHasil", nullable = true, length = 100)
	@Caption(value = "Tanggal Pengambil Hasil")
	private Date tanggalPengambilHasil;
	
	@Column(name = "tglHasil", nullable = false, length = 100)
	@Caption(value = "Tanggal Hasil")
	private Date tglHasil;
	
	public Date getTglHasil() {
		return tglHasil;
	}

	public void setTglHasil(Date tglHasil) {
		this.tglHasil = tglHasil;
	}

	

}